org.apache.poi.xslf.usermodel

## Class XSLFTableRow

- java.lang.Object
- - org.apache.poi.xslf.usermodel.XSLFTableRow

- All Implemented Interfaces:
    java.lang.Iterable<XSLFTableCell>

      public class XSLFTableRow
      extends java.lang.Object
      implements java.lang.Iterable<XSLFTableCell>

  Represents a table in a .pptx presentation

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XSLFTableCell` | `addCell()`
    `java.util.List<XSLFTableCell>` | `getCells()`
    `double` | `getHeight()`
    `org.openxmlformats.schemas.drawingml.x2006.main.CTTableRow` | `getXmlObject()`
    `XSLFTableCell` | `insertCell(int colIdx)` Insert a new cell at the given index.
    `java.util.Iterator<XSLFTableCell>` | `iterator()`
    `void` | `mergeCells(int firstCol, int lastCol)` Merge cells of a table row, inclusive.
    `void` | `removeCell(int colIdx)` Remove the cell at the given index.
    `void` | `setHeight(double height)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### getXmlObject

          public org.openxmlformats.schemas.drawingml.x2006.main.CTTableRow getXmlObject()

    - #### iterator

          public java.util.Iterator<XSLFTableCell> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<XSLFTableCell>`

    - #### getCells

          public java.util.List<XSLFTableCell> getCells()

    - #### getHeight

          public double getHeight()

    - #### setHeight

          public void setHeight(double height)

    - #### addCell

          public XSLFTableCell addCell()

    - #### insertCell

          public XSLFTableCell insertCell(int colIdx)

      Insert a new cell at the given index.
      Parameters:
        `colIdx` - the column index.
      Since:
        POI 4.1.2

    - #### removeCell

          public void removeCell(int colIdx)

      Remove the cell at the given index.
      Parameters:
        `colIdx` - the column index.
      Since:
        POI 4.1.2

    - #### mergeCells

          public void mergeCells(int firstCol,
                                 int lastCol)

      Merge cells of a table row, inclusive. Indices are 0-based.
      Parameters:
        `firstCol` - 0-based index of first column to merge, inclusive
        `lastCol` - 0-based index of last column to merge, inclusive

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.